port: 7890
socks-port: 7891
allow-lan: true
mode: rule
log-level: info
external-controller: :9090
unified-delay: true
proxy-providers:
  LiangYuanDian:
    type: http
    url: https://www.lydxingjiabi.cloud/api/v1/client/subscribe?token=8987da98be7e64921b590e4a794cf09c     
    path: ./proxy_providers/liangyuandian.yaml
    interval: 86400
    health-check:
      enable: true
      url: https://www.gstatic.com/generate_204
      interval: 300
      timeout: 5000
      lazy: true
      expected-status: 204
  SSONE:
    type: http
    #url: https://api.dler.io/sub?target=clash&url=https%3A%2F%2Fssoneapi.qeayr.cn%2Fs%2Fb0d4bdcc5e14de5602433a8a9a30e9cb&insert=false&append_type=true&emoji=false&list=true&tfo=false&scv=false&fdn=false&expand=false&sort=false&new_name=true
    #url: https://ssoneapi.qeayr.cn/ssone/b0d4bdcc5e14de5602433a8a9a30e9cb
    url: https://subone.x-x.sbs/ssone/b0d4bdcc5e14de5602433a8a9a30e9cb
    path: ./proxy_providers/ssone.yaml
    interval: 86400
    health-check:
      enable: true
      url: https://www.gstatic.com/generate_204
      interval: 300
      timeout: 5000
      lazy: true
      expected-status: 204
  ChromeGoMerge:
    type: http
    url: https://cf-workers-raw-5wg.pages.dev/DonLeeFK/chromego/main/sub/merged_proxies_new.yaml?token=1q242455
    path: ./proxy_providers/chromego.yaml
    interval: 86400
    health-check:
      enable: true
      url: https://www.gstatic.com/generate_204
      interval: 300
      timeout: 5000
      lazy: true
      expected-status: 204
  CFVless:
    type: http
    #url: https://vless.havelp89.top/bestip/641a5d0e-c1a7-4a88-9cb1-41d75d3f7080
    url: https://ed.havelp89.dpdns.org/3812a29f-e9bc-43d5-8c88-2a6eb264da6e?sub=owo.o00o.ooo
    path: ./proxy_providers/cfvless.yaml
    interval: 86400
    health-check:
      enable: true
      url: https://www.gstatic.com/generate_204
      interval: 300
      timeout: 5000
      lazy: true
      expected-status: 204
    exclude-filter: edtunnel|频道|群组|订阅|Tg

  CFTrojan:
    type: http
    #url: https://trojan.havelp89.top/1q242455?sub
    url: https://trojan.havelp89.dpdns.org/1q242455?sub
    path: ./proxy_providers/cftrojan.yaml
    interval: 86400
    health-check:
      enable: true
      url: https://www.gstatic.com/generate_204
      interval: 300
      timeout: 5000
      lazy: true
      expected-status: 204
    exclude-filter: 频道|IPV6
  CFTrojanAlt:
    type: http
    #url: https://trojanalt.havelp89.top/1q242455?sub
    url: https://trojanalt.havelp89.dpdns.org/1q242455?sub
    path: ./proxy_providers/cftrojanalt.yaml
    interval: 86400
    health-check:
      enable: true
      url: https://www.gstatic.com/generate_204
      interval: 300
      timeout: 5000
      lazy: true
      expected-status: 204
    exclude-filter: 频道
  Subcheck:
    type: http
    url: https://subcheck.havelp89.dpdns.org/storage?filename=all.yaml&token=1q242455
    path: ./proxy_providers/free.yaml
    interval: 86400
    health-check:
      enable: true
      url: https://www.gstatic.com/generate_204
      interval: 300
      timeout: 5000
      lazy: true
      expected-status: 204
    override:
      down: "1000 Mbps"
      up: "1000 Mbps"
proxy-groups:
  - name: 🚀 节点选择
    type: select
    proxies:
      - ♻️ 自动选择
      - ♻️ 自动选择_ssone
      - ♻️ 自动选择_liangyuandian
      - 🔯 故障转移
      - ChromeGo
      - Cloudflare Workers
      - Free
      - 🇭🇰 香港节点
      - 🇨🇳 台湾节点
      - 🇸🇬 狮城节点
      - 🇯🇵 日本节点
      - 🇺🇲 美国节点
      - 🇰🇷 韩国节点
      - 🚀 手动切换
      - DIRECT
  - name: 🚀 手动切换
    type: select
    use:
      - LiangYuanDian
      - SSONE
      - ChromeGoMerge
      - CFVless
      - CFTrojan
      - CFTrojanAlt
      - Subcheck
  - name: ♻️ 自动选择
    type: url-test
    url: http://www.gstatic.com/generate_204
    interval: 300
    tolerance: 50
    lazy: true
    use:
      - LiangYuanDian
      - SSONE
  - name: ChromeGo
    type: select
    url: https://www.gstatic.com/generate_204
    interval: 180
    tolerance: 10
    max-failed-times: 65535
    use:
      - ChromeGoMerge
    proxies:
      - ChromeGo_auto
      - ChromeGo_lb

  - name: ChromeGo_auto
    type: url-test
    url: https://www.gstatic.com/generate_204
    interval: 180
    tolerance: 10
    lazy: true
    max-failed-times: 65535
    use:
      - ChromeGoMerge
  - name: ChromeGo_lb
    type: load-balance
    lazy: true
    max-failed-times: 65535
    use:
      - ChromeGoMerge
  - name: Free
    type: select
    url: https://www.gstatic.com/generate_204
    lazy: true
    interval: 300
    tolerance: 50
    use:
      - Subcheck
    proxies:
      - Free_auto
      - Free_lb

  - name: Free_auto
    type: url-test
    url: https://www.gstatic.com/generate_204
    interval: 180
    tolerance: 10
    lazy: true
    max-failed-times: 65535
    use:
      - Subcheck
  - name: Free_lb
    type: load-balance
    lazy: true
    max-failed-times: 65535
    use:
      - Subcheck

  - name: Cloudflare Workers
    type: select
    url: https://www.gstatic.com/generate_204
    lazy: true
    interval: 300
    tolerance: 50
    use:
      - CFVless
      - CFTrojan
      - CFTrojanAlt

  - name: ♻️ 自动选择_ssone
    type: url-test
    url: https://www.gstatic.com/generate_204
    interval: 180
    tolerance: 20
    lazy: true
    exclude-filter: "直连|(?!1[Xx])[1-9]\\d*[Xx]"
    use:
      - SSONE

  - name: ♻️ 自动选择_liangyuandian
    type: url-test
    url: https://www.gstatic.com/generate_204
    interval: 300
    tolerance: 20
    lazy: true
    use:
      - LiangYuanDian
  - name: 🔯 故障转移
    type: fallback
    proxies:
      - ♻️ 自动选择_ssone
      - ♻️ 自动选择_liangyuandian
    url: 'https://www.gstatic.com/generate_204'
    interval: 120
    timeout: 500
    lazy: true
  - name: 📲 电报消息
    type: select
    proxies:
      - 🚀 节点选择
      - ♻️ 自动选择
      - 🇸🇬 狮城节点
      - 🇭🇰 香港节点
      - 🇨🇳 台湾节点
      - 🇯🇵 日本节点
      - 🇺🇲 美国节点
      - 🇰🇷 韩国节点
      - 🚀 手动切换
      - DIRECT
  - name: 💬 OpenAi
    type: select
    proxies:
      - 🚀 节点选择
      - ♻️ 自动选择
      - 🇸🇬 狮城节点
      - 🇭🇰 香港节点
      - 🇨🇳 台湾节点
      - 🇯🇵 日本节点
      - 🇺🇲 美国节点
      - 🇰🇷 韩国节点
      - 🚀 手动切换
      - Free
      - DIRECT
  - name: 📹 油管视频
    type: select
    proxies:
      - 🚀 节点选择
      - ♻️ 自动选择
      - 🇸🇬 狮城节点
      - 🇭🇰 香港节点
      - 🇨🇳 台湾节点
      - 🇯🇵 日本节点
      - 🇺🇲 美国节点
      - 🇰🇷 韩国节点
      - 🚀 手动切换
      - ChromeGo
      - Cloudflare Workers
      - Free
      - DIRECT
  - name: 🎥 奈飞视频
    type: select
    proxies:
      - 🎥 奈飞节点
      - 🚀 节点选择
      - ♻️ 自动选择
      - 🇸🇬 狮城节点
      - 🇭🇰 香港节点
      - 🇨🇳 台湾节点
      - 🇯🇵 日本节点
      - 🇺🇲 美国节点
      - 🇰🇷 韩国节点
      - 🚀 手动切换
      - Free
      - DIRECT
  - name: 📺 巴哈姆特
    type: select
    proxies:
      - 🇨🇳 台湾节点
      - 🚀 节点选择
      - 🚀 手动切换
      - DIRECT
  - name: 📺 哔哩哔哩
    type: select
    proxies:
      - ChromeGo
      - Cloudflare Workers
      - Free
      - 🇺🇲 Free
      - 🎯 全球直连
      - 🇨🇳 台湾节点
      - 🇭🇰 香港节点
      - 🚀 节点选择
      - 🚀 手动切换
  - name: 🔞 NSFW
    type: select
    proxies:
      - Cloudflare Workers
      - Free
      - 🎯 全球直连
      - 🇨🇳 台湾节点
      - 🇭🇰 香港节点
      - 🚀 节点选择
      - 🚀 手动切换
  - name: ❓ 知乎
    type: select
    proxies:
      - ChromeGo
      - Cloudflare Workers
      - Free
      - 🎯 全球直连
      - 🇨🇳 台湾节点
      - 🇭🇰 香港节点
      - 🚀 节点选择
      - 🚀 手动切换
  - name: 🌍 国外媒体
    type: select
    proxies:
      - 🚀 节点选择
      - ♻️ 自动选择
      - 🇭🇰 香港节点
      - 🇨🇳 台湾节点
      - 🇸🇬 狮城节点
      - 🇯🇵 日本节点
      - 🇺🇲 美国节点
      - 🇰🇷 韩国节点
      - 🚀 手动切换
      - DIRECT
  - name: 🌏 国内媒体
    type: select
    proxies:
      - DIRECT
      - 🇭🇰 香港节点
      - 🇨🇳 台湾节点
      - 🇸🇬 狮城节点
      - 🇯🇵 日本节点
      - 🚀 手动切换
  - name: 📢 谷歌FCM
    type: select
    proxies:
      - DIRECT
      - 🚀 节点选择
      - 🇺🇲 美国节点
      - 🇭🇰 香港节点
      - 🇨🇳 台湾节点
      - 🇸🇬 狮城节点
      - 🇯🇵 日本节点
      - 🇰🇷 韩国节点
      - 🚀 手动切换
  - name: Ⓜ️ 微软云盘
    type: select
    proxies:
      - DIRECT
      - 🚀 节点选择
      - 🇺🇲 美国节点
      - 🇭🇰 香港节点
      - 🇨🇳 台湾节点
      - 🇸🇬 狮城节点
      - 🇯🇵 日本节点
      - 🇰🇷 韩国节点
      - 🚀 手动切换
  - name: Ⓜ️ 微软服务
    type: select
    proxies:
      - DIRECT
      - ChromeGo
      - Cloudflare Workers
      - Free
      - 🚀 节点选择
      - 🇺🇲 美国节点
      - 🇭🇰 香港节点
      - 🇨🇳 台湾节点
      - 🇸🇬 狮城节点
      - 🇯🇵 日本节点
      - 🇰🇷 韩国节点
      - 🚀 手动切换
  - name:  苹果证书
    type: select
    proxies:
      - REJECT
      - 🍎 苹果服务
  - name: 🍎 苹果服务
    type: select
    proxies:
      - DIRECT
      - ChromeGo
      - Cloudflare Workers
      - 🚀 节点选择
      - 🇺🇲 美国节点
      - 🇭🇰 香港节点
      - 🇨🇳 台湾节点
      - 🇸🇬 狮城节点
      - 🇯🇵 日本节点
      - 🇰🇷 韩国节点
      - 🚀 手动切换
  - name: 🎮 游戏平台
    type: select
    proxies:
      - DIRECT
      - 🚀 节点选择
      - 🇺🇲 美国节点
      - 🇭🇰 香港节点
      - 🇨🇳 台湾节点
      - 🇸🇬 狮城节点
      - 🇯🇵 日本节点
      - 🇰🇷 韩国节点
      - 🚀 手动切换
  - name: 🎶 网易音乐
    type: select
    proxies:
      - DIRECT
      - 🚀 节点选择
      - ♻️ 自动选择
  - name: 🎯 全球直连
    type: select
    proxies:
      - DIRECT
      - 🚀 节点选择
      - ♻️ 自动选择
  - name: 🛑 广告拦截
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🍃 应用净化
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🆎 AdBlock
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🛡️ 隐私防护
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🐟 漏网之鱼
    type: select
    proxies:
      - 🚀 节点选择
      - ♻️ 自动选择
      - ChromeGo
      - Cloudflare Workers
      - Free
      - DIRECT
      - 🇭🇰 香港节点
      - 🇨🇳 台湾节点
      - 🇸🇬 狮城节点
      - 🇯🇵 日本节点
      - 🇺🇲 美国节点
      - 🇰🇷 韩国节点
      - 🚀 手动切换
  - name: 🛡️ IP属地
    type: select
    proxies:
      - 🚀 节点选择
      - ♻️ 自动选择
      - DIRECT
      - REJECT
      - ChromeGo
      - Cloudflare Workers
      - 🇭🇰 香港节点
      - 🇨🇳 台湾节点
      - 🇸🇬 狮城节点
      - 🇯🇵 日本节点
      - 🇺🇲 美国节点
      - 🇰🇷 韩国节点
      - 🚀 手动切换
  - name: 🇭🇰 香港节点
    type: url-test
    url: http://www.gstatic.com/generate_204
    interval: 300
    tolerance: 50
    include-all: true
    filter: (?i)港|HK|hk|Hong Kong|HongKong|hongkong|🇭🇰
  - name: 🇨🇳 台湾节点
    type: url-test
    url: http://www.gstatic.com/generate_204
    interval: 300
    tolerance: 50
    include-all: true
    filter: (?i)台|新北|彰化|TW|Taiwan|🇹🇼
  - name: 🇸🇬 狮城节点
    type: url-test
    url: http://www.gstatic.com/generate_204
    interval: 300
    tolerance: 50
    include-all: true
    filter: (?i)新加坡|坡|狮城|SG|Singapore|🇸🇬
  - name: 🇯🇵 日本节点
    type: url-test
    url: http://www.gstatic.com/generate_204
    interval: 300
    tolerance: 50
    include-all: true
    filter: (?i)日本|川日|东京|大阪|泉日|埼玉|沪日|深日|JP|Japan|🇯🇵
  - name: 🇺🇲 美国节点
    type: url-test
    url: http://www.gstatic.com/generate_204
    interval: 300
    tolerance: 50
    include-all: false
    filter: (?i)美|波特兰|达拉斯|俄勒冈|凤凰城|费利蒙|硅谷|拉斯维加斯|洛杉矶|圣何塞|圣克拉拉|西雅图|芝加哥|US|United States|🇺🇸
    use:
      - SSONE
      - LiangYuanDian
  - name: 🇺🇲 Free
    type: url-test
    url: http://www.gstatic.com/generate_204
    interval: 300
    tolerance: 50
    include-all: false
    filter: (?i)美|波特兰|达拉斯|俄勒冈|凤凰城|费利蒙|硅谷|拉斯维加斯|洛杉矶|圣何塞|圣克拉拉|西雅图|芝加哥|US|United States|🇺🇸
    use:
      #- CFVless
      #- CFTrojan
      #- CFTrojanAlt
      - ChromeGoMerge
      - Subcheck

  - name: 🇰🇷 韩国节点
    type: url-test
    url: http://www.gstatic.com/generate_204
    interval: 300
    tolerance: 50
    include-all: true
    filter: (?i)KR|Korea|KOR|首尔|韩|韓
  - name: 🎥 奈飞节点
    type: select
    include-all: true
    filter: (?i)NF|奈飞|解锁|Netflix|NETFLIX|Media
rules:
  - PROCESS-NAME,xunlei-pan-cli.3.11.2.arm64,DIRECT
  - PROCESS-NAME,subs-check,DIRECT
  - PROCESS-NAME,qbittorrent-nox,DIRECT
  - PROCESS-NAME,aria2c,DIRECT
  #- PROCESS-NAME,tailscaled,DIRECT
  - DOMAIN-SUFFIX,msftncsi.com,DIRECT
  - DOMAIN-SUFFIX,msftconnecttest.com,DIRECT
  - DOMAIN,route.havelp89.top,DIRECT
  - DOMAIN,vl.havelp89.top,DIRECT
  - RULE-SET,LocalAreaNetwork,🎯 全球直连
  - RULE-SET,UnBan,🎯 全球直连
  - RULE-SET,BanAD,🛑 广告拦截
  - RULE-SET,BanProgramAD,🍃 应用净化
  - RULE-SET,BanEasyList,🆎 AdBlock
  - RULE-SET,BanEasyListChina,🆎 AdBlock
  - RULE-SET,BanEasyPrivacy,🛡️ 隐私防护
  - RULE-SET,GoogleFCM,📢 谷歌FCM
  - RULE-SET,GoogleCN,🎯 全球直连
  - RULE-SET,SteamCN,🎯 全球直连
  - RULE-SET,OneDrive,Ⓜ️ 微软云盘
  - RULE-SET,Microsoft,Ⓜ️ 微软服务
  - RULE-SET,AppleCert, 苹果证书
  - RULE-SET,Apple,🍎 苹果服务
  - RULE-SET,Telegram,📲 电报消息
  - RULE-SET,OpenAi,💬 OpenAi
  - RULE-SET,OtherAI,💬 OpenAi
  - RULE-SET,NetEaseMusic,🎶 网易音乐
  - RULE-SET,Epic,🎮 游戏平台
  - RULE-SET,Origin,🎮 游戏平台
  - RULE-SET,Sony,🎮 游戏平台
  - RULE-SET,Steam,🎮 游戏平台
  - RULE-SET,Nintendo,🎮 游戏平台
  - RULE-SET,YouTube,📹 油管视频
  - RULE-SET,Netflix,🎥 奈飞视频
  - RULE-SET,Bahamut,📺 巴哈姆特
  - RULE-SET,Porn,🔞 NSFW
  - RULE-SET,Zhihu,❓ 知乎
  - RULE-SET,ZhihuAds,❓ 知乎
  - DOMAIN-SUFFIX,vzuu.com,❓ 知乎
  - RULE-SET,BilibiliHMT,📺 哔哩哔哩
  - RULE-SET,Bilibili,📺 哔哩哔哩
  - RULE-SET,ChinaMedia,🌏 国内媒体
  - RULE-SET,ProxyMedia,🌍 国外媒体
  - RULE-SET,ProxyGFWlist,🚀 节点选择
  - DOMAIN-SUFFIX,gjfzpt.cn,REJECT #中国监视
  - RULE-SET,IPCheck,🛡️ IP属地
  - IP-CIDR,219.143.187.136/32,REJECT,no-resolve #中国监视
  - IP-CIDR,157.148.47.204/32,REJECT,no-resolve
  #- IP-CIDR,43.152.42.0/24,🛡️ IP属地
  #- IP-CIDR,103.41.167.0/24,❓ 知乎
  - IP-CIDR,118.89.204.198/23,REJECT,no-resolve # 知乎 HTTPDNS (IPv4)
  #- IP-CIDR,58.42.63.0/24,❓ 知乎
  #- IP-CIDR,120.92.107.0/24,❓ 知乎
  #- IP-CIDR,58.42.63.95/24,❓ 知乎
  #- IP-CIDR,182.240.0.0/13,❓ 知乎
  #- IP-CIDR,182.128.0.0/12,❓ 知乎
  #- IP-CIDR,14.112.0.0/12,❓ 知乎
  #- IP-CIDR,183.64.0.0/13,❓ 知乎
  - IP-CIDR6,2402:4e00:1200:ed00:0:9089:6dac:96b6/40,REJECT,no-resolve # 知乎 HTTPDNS (IPv6)
  - RULE-SET,ChinaDomain,🎯 全球直连
  - RULE-SET,ChinaCompanyIp,🎯 全球直连
  - RULE-SET,Download,🎯 全球直连
  - GEOIP,CN,🎯 全球直连
  - MATCH,🐟 漏网之鱼
rule-providers:
  LocalAreaNetwork:
    type: http
    behavior: classical
    url: "https://api.dler.io/getruleset?type=6&url=aHR0cHM6Ly9yYXcuZ2l0aHVidXNlcmNvbnRlbnQuY29tL0FDTDRTU1IvQUNMNFNTUi9tYXN0ZXIvQ2xhc2gvTG9jYWxBcmVhTmV0d29yay5saXN0"
    path: ./providers/rule-provider_LocalAreaNetwork.yaml
    interval: 86400
  UnBan:
    type: http
    behavior: classical
    url: "https://api.dler.io/getruleset?type=6&url=aHR0cHM6Ly9yYXcuZ2l0aHVidXNlcmNvbnRlbnQuY29tL0FDTDRTU1IvQUNMNFNTUi9tYXN0ZXIvQ2xhc2gvVW5CYW4ubGlzdA"
    path: ./providers/rule-provider_UnBan.yaml
    interval: 86400
  BanAD:
    type: http
    behavior: classical
    url: "https://api.dler.io/getruleset?type=6&url=aHR0cHM6Ly9yYXcuZ2l0aHVidXNlcmNvbnRlbnQuY29tL0FDTDRTU1IvQUNMNFNTUi9tYXN0ZXIvQ2xhc2gvQmFuQUQubGlzdA"
    path: ./providers/rule-provider_BanAD.yaml
    interval: 86400
  BanProgramAD:
    type: http
    behavior: classical
    url: "https://api.dler.io/getruleset?type=6&url=aHR0cHM6Ly9yYXcuZ2l0aHVidXNlcmNvbnRlbnQuY29tL0FDTDRTU1IvQUNMNFNTUi9tYXN0ZXIvQ2xhc2gvQmFuUHJvZ3JhbUFELmxpc3Q"
    path: ./providers/rule-provider_BanProgramAD.yaml
    interval: 86400
  BanEasyList:
    type: http
    behavior: classical
    url: "https://api.dler.io/getruleset?type=6&url=aHR0cHM6Ly9yYXcuZ2l0aHVidXNlcmNvbnRlbnQuY29tL0FDTDRTU1IvQUNMNFNTUi9tYXN0ZXIvQ2xhc2gvQmFuRWFzeUxpc3QubGlzdA"
    path: ./providers/rule-provider_BanEasyList.yaml
    interval: 86400
  BanEasyListChina:
    type: http
    behavior: classical
    url: "https://api.dler.io/getruleset?type=6&url=aHR0cHM6Ly9yYXcuZ2l0aHVidXNlcmNvbnRlbnQuY29tL0FDTDRTU1IvQUNMNFNTUi9tYXN0ZXIvQ2xhc2gvQmFuRWFzeUxpc3RDaGluYS5saXN0"
    path: ./providers/rule-provider_BanEasyListChina.yaml
    interval: 86400
  BanEasyPrivacy:
    type: http
    behavior: classical
    url: "https://api.dler.io/getruleset?type=6&url=aHR0cHM6Ly9yYXcuZ2l0aHVidXNlcmNvbnRlbnQuY29tL0FDTDRTU1IvQUNMNFNTUi9tYXN0ZXIvQ2xhc2gvQmFuRWFzeVByaXZhY3kubGlzdA"
    path: ./providers/rule-provider_BanEasyPrivacy.yaml
    interval: 86400
  GoogleFCM:
    type: http
    behavior: classical
    url: "https://api.dler.io/getruleset?type=6&url=aHR0cHM6Ly9yYXcuZ2l0aHVidXNlcmNvbnRlbnQuY29tL0FDTDRTU1IvQUNMNFNTUi9tYXN0ZXIvQ2xhc2gvUnVsZXNldC9Hb29nbGVGQ00ubGlzdA"
    path: ./providers/rule-provider_GoogleFCM.yaml
    interval: 86400
  GoogleCN:
    type: http
    behavior: classical
    url: "https://api.dler.io/getruleset?type=6&url=aHR0cHM6Ly9yYXcuZ2l0aHVidXNlcmNvbnRlbnQuY29tL0FDTDRTU1IvQUNMNFNTUi9tYXN0ZXIvQ2xhc2gvR29vZ2xlQ04ubGlzdA"
    path: ./providers/rule-provider_GoogleCN.yaml
    interval: 86400
  SteamCN:
    type: http
    behavior: classical
    url: "https://api.dler.io/getruleset?type=6&url=aHR0cHM6Ly9yYXcuZ2l0aHVidXNlcmNvbnRlbnQuY29tL0FDTDRTU1IvQUNMNFNTUi9tYXN0ZXIvQ2xhc2gvUnVsZXNldC9TdGVhbUNOLmxpc3Q"
    path: ./providers/rule-provider_SteamCN.yaml
    interval: 86400
  OneDrive:
    type: http
    behavior: classical
    url: "https://api.dler.io/getruleset?type=6&url=aHR0cHM6Ly9yYXcuZ2l0aHVidXNlcmNvbnRlbnQuY29tL0FDTDRTU1IvQUNMNFNTUi9tYXN0ZXIvQ2xhc2gvT25lRHJpdmUubGlzdA"
    path: ./providers/rule-provider_OneDrive.yaml
    interval: 86400
  Microsoft:
    type: http
    behavior: classical
    url: "https://api.dler.io/getruleset?type=6&url=aHR0cHM6Ly9yYXcuZ2l0aHVidXNlcmNvbnRlbnQuY29tL0FDTDRTU1IvQUNMNFNTUi9tYXN0ZXIvQ2xhc2gvTWljcm9zb2Z0Lmxpc3Q"
    path: ./providers/rule-provider_Microsoft.yaml
    interval: 86400
  Apple:
    type: http
    behavior: classical
    url: "https://api.dler.io/getruleset?type=6&url=aHR0cHM6Ly9yYXcuZ2l0aHVidXNlcmNvbnRlbnQuY29tL0FDTDRTU1IvQUNMNFNTUi9tYXN0ZXIvQ2xhc2gvQXBwbGUubGlzdA"
    path: ./providers/rule-provider_Apple.yaml
    interval: 86400
  AppleCert:
    type: http
    behavior: domain
    url: "https://cf-workers-raw-5wg.pages.dev/DonLeeFK/ruleset/refs/heads/main/applecert.yaml?token=1q242455"
    path: ./providers/rule-provider_AppleCert.yaml
    interval: 86400
  Telegram:
    type: http
    behavior: classical
    url: "https://api.dler.io/getruleset?type=6&url=aHR0cHM6Ly9yYXcuZ2l0aHVidXNlcmNvbnRlbnQuY29tL0FDTDRTU1IvQUNMNFNTUi9tYXN0ZXIvQ2xhc2gvVGVsZWdyYW0ubGlzdA"
    path: ./providers/rule-provider_Telegram.yaml
    interval: 86400
  OpenAi:
    type: http
    behavior: classical
    url: "https://api.dler.io/getruleset?type=6&url=aHR0cHM6Ly9yYXcuZ2l0aHVidXNlcmNvbnRlbnQuY29tL0FDTDRTU1IvQUNMNFNTUi9tYXN0ZXIvQ2xhc2gvUnVsZXNldC9PcGVuQWkubGlzdA"
    path: ./providers/rule-provider_OpenAi.yaml
    interval: 86400
  NetEaseMusic:
    type: http
    behavior: classical
    url: "https://api.dler.io/getruleset?type=6&url=aHR0cHM6Ly9yYXcuZ2l0aHVidXNlcmNvbnRlbnQuY29tL0FDTDRTU1IvQUNMNFNTUi9tYXN0ZXIvQ2xhc2gvUnVsZXNldC9OZXRFYXNlTXVzaWMubGlzdA"
    path: ./providers/rule-provider_NetEaseMusic.yaml
    interval: 86400
  Epic:
    type: http
    behavior: classical
    url: "https://api.dler.io/getruleset?type=6&url=aHR0cHM6Ly9yYXcuZ2l0aHVidXNlcmNvbnRlbnQuY29tL0FDTDRTU1IvQUNMNFNTUi9tYXN0ZXIvQ2xhc2gvUnVsZXNldC9FcGljLmxpc3Q"
    path: ./providers/rule-provider_Epic.yaml
    interval: 86400
  Origin:
    type: http
    behavior: classical
    url: "https://api.dler.io/getruleset?type=6&url=aHR0cHM6Ly9yYXcuZ2l0aHVidXNlcmNvbnRlbnQuY29tL0FDTDRTU1IvQUNMNFNTUi9tYXN0ZXIvQ2xhc2gvUnVsZXNldC9PcmlnaW4ubGlzdA"
    path: ./providers/rule-provider_Origin.yaml
    interval: 86400
  Sony:
    type: http
    behavior: classical
    url: "https://api.dler.io/getruleset?type=6&url=aHR0cHM6Ly9yYXcuZ2l0aHVidXNlcmNvbnRlbnQuY29tL0FDTDRTU1IvQUNMNFNTUi9tYXN0ZXIvQ2xhc2gvUnVsZXNldC9Tb255Lmxpc3Q"
    path: ./providers/rule-provider_Sony.yaml
    interval: 86400
  Steam:
    type: http
    behavior: classical
    url: "https://api.dler.io/getruleset?type=6&url=aHR0cHM6Ly9yYXcuZ2l0aHVidXNlcmNvbnRlbnQuY29tL0FDTDRTU1IvQUNMNFNTUi9tYXN0ZXIvQ2xhc2gvUnVsZXNldC9TdGVhbS5saXN0"
    path: ./providers/rule-provider_Steam.yaml
    interval: 86400
  Nintendo:
    type: http
    behavior: classical
    url: "https://api.dler.io/getruleset?type=6&url=aHR0cHM6Ly9yYXcuZ2l0aHVidXNlcmNvbnRlbnQuY29tL0FDTDRTU1IvQUNMNFNTUi9tYXN0ZXIvQ2xhc2gvUnVsZXNldC9OaW50ZW5kby5saXN0"
    path: ./providers/rule-provider_Nintendo.yaml
    interval: 86400
  YouTube:
    type: http
    behavior: classical
    url: "https://api.dler.io/getruleset?type=6&url=aHR0cHM6Ly9yYXcuZ2l0aHVidXNlcmNvbnRlbnQuY29tL0FDTDRTU1IvQUNMNFNTUi9tYXN0ZXIvQ2xhc2gvUnVsZXNldC9Zb3VUdWJlLmxpc3Q"
    path: ./providers/rule-provider_YouTube.yaml
    interval: 86400
  Netflix:
    type: http
    behavior: classical
    url: "https://api.dler.io/getruleset?type=6&url=aHR0cHM6Ly9yYXcuZ2l0aHVidXNlcmNvbnRlbnQuY29tL0FDTDRTU1IvQUNMNFNTUi9tYXN0ZXIvQ2xhc2gvUnVsZXNldC9OZXRmbGl4Lmxpc3Q"
    path: ./providers/rule-provider_Netflix.yaml
    interval: 86400
  Bahamut:
    type: http
    behavior: classical
    url: "https://api.dler.io/getruleset?type=6&url=aHR0cHM6Ly9yYXcuZ2l0aHVidXNlcmNvbnRlbnQuY29tL0FDTDRTU1IvQUNMNFNTUi9tYXN0ZXIvQ2xhc2gvUnVsZXNldC9CYWhhbXV0Lmxpc3Q"
    path: ./providers/rule-provider_Bahamut.yaml
    interval: 86400
  BilibiliHMT:
    type: http
    behavior: classical
    url: "https://api.dler.io/getruleset?type=6&url=aHR0cHM6Ly9yYXcuZ2l0aHVidXNlcmNvbnRlbnQuY29tL0FDTDRTU1IvQUNMNFNTUi9tYXN0ZXIvQ2xhc2gvUnVsZXNldC9CaWxpYmlsaUhNVC5saXN0"
    path: ./providers/rule-provider_BilibiliHMT.yaml
    interval: 86400
  Bilibili:
    type: http
    behavior: classical
    url: "https://api.dler.io/getruleset?type=6&url=aHR0cHM6Ly9yYXcuZ2l0aHVidXNlcmNvbnRlbnQuY29tL0FDTDRTU1IvQUNMNFNTUi9tYXN0ZXIvQ2xhc2gvUnVsZXNldC9CaWxpYmlsaS5saXN0"
    path: ./providers/rule-provider_Bilibili.yaml
    interval: 86400
  ChinaMedia:
    type: http
    behavior: classical
    url: "https://api.dler.io/getruleset?type=6&url=aHR0cHM6Ly9yYXcuZ2l0aHVidXNlcmNvbnRlbnQuY29tL0FDTDRTU1IvQUNMNFNTUi9tYXN0ZXIvQ2xhc2gvQ2hpbmFNZWRpYS5saXN0"
    path: ./providers/rule-provider_ChinaMedia.yaml
    interval: 86400
  ProxyMedia:
    type: http
    behavior: classical
    url: "https://api.dler.io/getruleset?type=6&url=aHR0cHM6Ly9yYXcuZ2l0aHVidXNlcmNvbnRlbnQuY29tL0FDTDRTU1IvQUNMNFNTUi9tYXN0ZXIvQ2xhc2gvUHJveHlNZWRpYS5saXN0"
    path: ./providers/rule-provider_ProxyMedia.yaml
    interval: 86400
  ProxyGFWlist:
    type: http
    behavior: classical
    url: "https://api.dler.io/getruleset?type=6&url=aHR0cHM6Ly9yYXcuZ2l0aHVidXNlcmNvbnRlbnQuY29tL0FDTDRTU1IvQUNMNFNTUi9tYXN0ZXIvQ2xhc2gvUHJveHlHRldsaXN0Lmxpc3Q"
    path: ./providers/rule-provider_ProxyGFWlist.yaml
    interval: 86400
  ChinaDomain:
    type: http
    behavior: classical
    url: "https://api.dler.io/getruleset?type=6&url=aHR0cHM6Ly9yYXcuZ2l0aHVidXNlcmNvbnRlbnQuY29tL0FDTDRTU1IvQUNMNFNTUi9tYXN0ZXIvQ2xhc2gvQ2hpbmFEb21haW4ubGlzdA"
    path: ./providers/rule-provider_ChinaDomain.yaml
    interval: 86400
  ChinaCompanyIp:
    type: http
    behavior: classical
    url: "https://api.dler.io/getruleset?type=6&url=aHR0cHM6Ly9yYXcuZ2l0aHVidXNlcmNvbnRlbnQuY29tL0FDTDRTU1IvQUNMNFNTUi9tYXN0ZXIvQ2xhc2gvQ2hpbmFDb21wYW55SXAubGlzdA"
    path: ./providers/rule-provider_ChinaCompanyIp.yaml
    interval: 86400
  Download:
    type: http
    behavior: classical
    url: "https://api.dler.io/getruleset?type=6&url=aHR0cHM6Ly9yYXcuZ2l0aHVidXNlcmNvbnRlbnQuY29tL0FDTDRTU1IvQUNMNFNTUi9tYXN0ZXIvQ2xhc2gvRG93bmxvYWQubGlzdA"
    path: ./providers/rule-provider_Download.yaml
    interval: 86400
  Zhihu:
    behavior: classical
    interval: 86400
    path: ./provider/rule-provider_Zhihu.yaml
    type: http
    url: "https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/Zhihu/Zhihu.yaml"
  ZhihuAds:
    behavior: classical
    interval: 86400
    path: ./provider/rule-provider_ZhihuAds.yaml
    type: http
    url: "https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/ZhihuAds/ZhihuAds.yaml"
  IPCheck:
    behavior: classical
    interval: 86400
    path: ./provider/rule-provider_IPCheck.yaml
    type: http
    url: "https://raw.githubusercontent.com/SunsetMkt/anti-ip-attribution/main/generated/rule-provider.yaml"
  IPCheckDirect:
    behavior: classical
    interval: 86400
    path: ./provider/rule-provider_IPCheck.yaml
    type: http
    url: "https://raw.githubusercontent.com/SunsetMkt/anti-ip-attribution/main/generated/rule-provider-direct.yaml"
  IPCheckReject:
    behavior: classical
    interval: 86400
    path: ./provider/rule-provider_IPCheck.yaml
    type: http
    url: "https://raw.githubusercontent.com/SunsetMkt/anti-ip-attribution/main/generated/rule-provider-reject.yaml"
  Porn:
    type: http
    behavior: domain
    url: "https://cf-workers-raw-5wg.pages.dev/DonLeeFK/ruleset/refs/heads/main/porn.yaml?token=1q242455"
    path: ./providers/rule-provider_Porn.yaml
    interval: 86400
  OtherAI:
    type: http
    behavior: classical
    url: "https://cf-workers-raw-5wg.pages.dev/DonLeeFK/ruleset/refs/heads/main/ai.yaml?token=1q242455"
    path: ./providers/rule-provider_OtherAI.yaml
    interval: 86400
